.IFNDEF UNIFIEDACCESS
.EQU UNIFIEDACCESS=1

.MACRO UIN
.IF @1 < $40
	in @0,@1
.ELSE
	lds @0,@1
.WARNING "1 extra tick (memory mapped IO)"
.ENDIF
.ENDMACRO				

.MACRO UOUT
.IF @0 < $40
	out @0,@1
.ELSE
	sts @0,@1
.WARNING "1 extra tick (memory mapped IO)"
.ENDIF
.ENDMACRO

.MACRO ULPM
.IFDEF RAMPZ
	elpm @0,@1
.ELSE
	lpm @0,@1
.ENDIF
.ENDMACRO

.ENDIF
