.IFNDEF WS28XX_CFG
.EQU WS28XX_CFG=1

;The actual number of LEDs in the chain. If the given value is to less, 
;the LEDs at the chain end are not controllable, if the value is to high, 
;the resulting framerate is lesser as it could be.
.EQU WS28XX_LEDCNT = 60

;The various variants of the WS28xx uses different RGB formats. Select
;the matching one here. Two formats are currently supported:
;WS28XX_RGBFMT_RGB and WS28XX_RGBFMT_GRB.
.EQU WS28XX_RGBFMT = WS28XX_RGBFMT_GRB

;Some parts owns more than one USART. You can choose between USART0 and
;USART1 in that case. If the part owns only one USART, this declaration
;is ignored.
.EQU WS28XX_USE_USART1 = 0

.ENDIF
